#! /usr/bin/env tclsh
# -*- tcl -*- 
# 
# This code reads from std in and writes to std out.
# On the way thru any file names are run through glob
# to expand any wild cards. comments are tossed.

proc godown {f } {
  foreach file [glob -nocomplain $f/*] {
    if {[catch "file link $file"] == 0 } {continue}
    puts "$file"
    if {[file isdirectory $file]} {
      godown $file
    }
  }
}

while { 1 } {
  set count [gets stdin line]
  #puts "$count $line"
  if {$count == -1} {exit 0}
  if {$count == 0} {continue}
  if {[string range $line 0 0] != "#"} {
    foreach file [glob -nocomplain $line] {
      if {[catch "file link $file"] == 0 } {continue}
      puts "$file"
      if {[string range $line end end] == "*" && [file isdirectory $file]} {
	godown $file
      }
    }
  }
}  
