#
# -*- awk -*-

# This file strips the comments from a tcl file...

#
BEGIN {
    passing=1
    if (ARGV[1] == "com" ) {
	ARGV[1] = ""
	com = 1
    } else {
	com = 0
    }
    prnf( "com is %d\n", com)
}
/^#if 0/ {
    --passing
    prnf( "%d\n", passing)
    next
}
/^#endif/ {
    ++passing
    prnf( "%d\n", passing)
    next
}

/^[ \t]*#/ {
    do {
	if (( passing > 0) && (com !=1)) {
	    print $0
	}
	if (match($0, /.*\\$/)) {
		getline
	} else {
		break
	}
    } while (1 )
    next
}
/.*/{
    do {
	if ( passing > 0) {
	    print   $0
	}
	if (match($0, /.*\\$/)) {
		getline
	    } else {
		break
	    }
	    } while (1 )

    prnf( "%d\n", passing)
    next
}
function prnf(format,data) {
#    printf format,data
}
END {
}