# centerWin --
#
#      Centers a window (win) in its parent (ow). 
#      Improved version of one found in Midnight Commander.
#
proc centerWin {win {ow {}}} {
#  wm withdraw $win
  if {$ow == {}} { set ow [winfo parent $win] }
  update
  foreach {c r} {y height x width} {set cen$c [winfo $r $win]}
  foreach {id r} {pdx width pdy height px rootx py rooty} {set $id [winfo $r $ow]}
  foreach c {x y} {set $c [expr \$p$c+((\$pd$c-\$cen$c)/2)]}
  wm geometry ${win} +$x+$y
#  wm deiconify $win
}
